Bug 1122152 - Foreman: The "LOCALBOOT 0" entry causes some bare metal machines to stuck during boot.
Summary: Foreman: The "LOCALBOOT 0" entry causes some bare metal machines to stuck du...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: foreman
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: Installer
Assignee: Mike Burns
QA Contact: Alexander Chuzhoy
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1122153
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 16:16 UTC by Alexander Chuzhoy
Modified: 2019-05-20 11:14 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1122153 (view as bug list)
Environment:
Last Closed: 2015-05-06 13:37:03 UTC


Attachments (Terms of Use)

Description Alexander Chuzhoy 2014-07-22 16:16:05 UTC
Foreman:  The "LOCALBOOT 0" entry causes some bare metal machines to stuck during boot.


Environment:
rhel-osp-installer-0.1.1-1.el6ost.noarch
foreman-proxy-1.6.0.8-1.el6sat.noarch
foreman-installer-1.5.0-0.4.RC2.el6ost.noarch
ruby193-rubygem-foreman-tasks-0.6.4-2.el6sat.noarch
rubygem-foreman_api-0.1.11-4.el6sat.noarch
openstack-foreman-installer-2.0.15-1.el6ost.noarch
foreman-discovery-image-6.5-20140620.2.el6sat.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
openstack-puppet-modules-2014.1-19.1.el6ost.noarch


Description:
The PXE file created for VMs with intention to boot from the HD (here: /var/lib/tftpboot/pxelinux.cfg/<MAC>) contains the following:

DEFAULT menu
PROMPT 0
MENU TITLE PXE Menu
TIMEOUT 200
TOTALTIMEOUT 6000
ONTIMEOUT local

LABEL local
     MENU LABEL (local)
     MENU DEFAULT
     LOCALBOOT 0


Result:
 Some HW (for example Dell PowerEdge C6100) isn't able to boot the OS from the HD when this option is selected after booting via PXE.

Expected result:
 All machines should be able to boot from the HD, when selecting the "local" option after booting via PXE. 

Note: the following workaround found to be working on all machines (so far):
label local
    MENU LABEL (local)
    MENU DEFAULT
    COM32 chain.c32
    APPEND hd0 0

Comment 3 Leonid Natapov 2014-08-11 13:25:54 UTC
Facing the same problem with Dell machines. Hosts can not boot !

Comment 5 Alexander Chuzhoy 2014-10-20 18:12:00 UTC
Just reproduce on VM setup, causing the deployment to fail.

Comment 8 Arthur Berezin 2015-05-06 13:37:03 UTC
At this phase RHEL-OSP6-Installer does not accept feature enhancements, or Foreman re-bases.


Note You need to log in before you can comment on or make changes to this bug.